Aria: ArFunctor1< P1 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArFunctor1< P1 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArFunctor1< P1 >:

List of all members.

## Detailed Description

### template<class P1>
class ArFunctor1< P1 >

Base class for functors with 1 parameter.

This is the base class for functors with 1 parameter. Code that has a reference to a functor that takes 1 parameter should use this class name. This allows the code to know how to invoke the functor without knowing which class the member function is in.

For an overall description of functors, see ArFunctor.

## Public Member Functions
virtual void | invoke (P1 p1)=0
| Invokes the functor.
virtual void | invoke (void)=0
| Invokes the functor.
virtual | ~ArFunctor1 ()
| Destructor.

## Member Function Documentation

template<class P1>

virtual void ArFunctor1< P1 >::invoke | ( | P1 | p1 | ) | `[pure virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter

Implemented in ArFunctor2< P1, P2 >, ArFunctor3< P1, P2, P3 >, ArFunctor4< P1, P2, P3, P4 >, ArGlobalFunctor1< P1 >, ArGlobalFunctor2< P1, P2 >, ArGlobalFunctor3< P1, P2, P3 >, ArGlobalFunctor4< P1, P2, P3, P4 >, ArFunctor1C< T, P1 >, ArFunctor2C< T, P1, P2 >, ArFunctor3C< T, P1, P2, P3 >, ArFunctor4C< T, P1, P2, P3, P4 >, ArConstFunctor1C< T, P1 >, ArConstFunctor2C< T, P1, P2 >, ArConstFunctor3C< T, P1, P2, P3 >, ArConstFunctor4C< T, P1, P2, P3, P4 >, ArMapFileLineSetWriter, ArFunctor2< char **, int >, ArFunctor2< char *, unsigned short >, ArFunctor3< char **, int, ArSocket * >, ArFunctor3< char *, unsigned short, ArFunctor2< char *, unsigned short > * >, ArGlobalFunctor1< int >, ArFunctor1C< ArNovatelGPS, ArNMEAParser::Message >, ArFunctor1C< ArTrimbleGPS, ArNMEAParser::Message >, ArFunctor1C< ArGPS, ArNMEAParser::Message >, ArFunctor1C< const ArMD5Calculator, char * >, ArFunctor1C< ArModeCommand, int >, ArFunctor1C< ArTCMCompassDirect, ArNMEAParser::Message >, ArFunctor3C< ArNetServer, char **, int, ArSocket * >, and ArFunctor3C< const ArDataLogger, char *, unsigned short, ArFunctor2< char *, unsigned short > * >.

The documentation for this class was generated from the following file:

- ArFunctor.h